> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1smsroutingrateslogs



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/sms/routing/rates/logs
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/sms/routing/rates/logs:
    get:
      tags:
        - SmsRoutingRates
      operationId: sms.routing.rates.logs
      responses:
        '200':
          description: '`SmsRoutingLogsCollection`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SmsRoutingLogsCollection'
        '401':
          $ref: '#/components/responses/AuthenticationException'
components:
  schemas:
    SmsRoutingLogsCollection:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/SmsRoutingLogsResource'
      required:
        - data
      title: SmsRoutingLogsCollection
    SmsRoutingLogsResource:
      type: object
      properties:
        id:
          type: string
        action:
          type: string
        sms_route_id:
          type:
            - string
            - 'null'
        country_id:
          type:
            - integer
            - 'null'
        network_id:
          type:
            - integer
            - 'null'
        network_brand_id:
          type:
            - string
            - 'null'
        old_rate:
          type:
            - string
            - 'null'
        new_rate:
          type:
            - string
            - 'null'
        user_id:
          type: string
        team_id:
          type: string
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - action
        - sms_route_id
        - country_id
        - network_id
        - network_brand_id
        - old_rate
        - new_rate
        - user_id
        - team_id
        - created_at
        - updated_at
      title: SmsRoutingLogsResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````